Xerces-C++ 3.1.3

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XMLFileMgr Class Reference
Inheritance diagram for XMLFileMgr:

## Public Member Functions

| XMLFileMgr ()
virtual | ~XMLFileMgr ()
virtual FileHandle | fileOpen (const XMLCh *path, bool toWrite, MemoryManager *const manager)=0
virtual FileHandle | fileOpen (const char *path, bool toWrite, MemoryManager *const manager)=0
virtual FileHandle | openStdIn (MemoryManager *const manager)=0
virtual void | fileClose (FileHandle f, MemoryManager *const manager)=0
virtual void | fileReset (FileHandle f, MemoryManager *const manager)=0
virtual XMLFilePos | curPos (FileHandle f, MemoryManager *const manager)=0
virtual XMLFilePos | fileSize (FileHandle f, MemoryManager *const manager)=0
virtual XMLSize_t | fileRead (FileHandle f, XMLSize_t byteCount, XMLByte *buffer, MemoryManager *const manager)=0
virtual void | fileWrite (FileHandle f, XMLSize_t byteCount, const XMLByte *buffer, MemoryManager *const manager)=0
virtual XMLCh * | getFullPath (const XMLCh *const srcPath, MemoryManager *const manager)=0
virtual XMLCh * | getCurrentDirectory (MemoryManager *const manager)=0
virtual bool | isRelative (const XMLCh *const toCheck, MemoryManager *const manager)=0
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Additional Inherited Members

Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

XMLFileMgr::XMLFileMgr | ( |  | ) |

virtual XMLFileMgr::~XMLFileMgr | ( |  | ) |

virtual

## Member Function Documentation

virtual XMLFilePos XMLFileMgr::curPos | ( | FileHandle | f,
|  | MemoryManager *const | manager
| ) |  |

pure virtual

virtual void XMLFileMgr::fileClose | ( | FileHandle | f,
|  | MemoryManager *const | manager
| ) |  |

pure virtual

virtual FileHandle XMLFileMgr::fileOpen | ( | const XMLCh * | path,
|  | bool | toWrite,
|  | MemoryManager *const | manager
| ) |  |

pure virtual

virtual FileHandle XMLFileMgr::fileOpen | ( | const char * | path,
|  | bool | toWrite,
|  | MemoryManager *const | manager
| ) |  |

pure virtual

virtual XMLSize_t XMLFileMgr::fileRead | ( | FileHandle | f,
|  | XMLSize_t | byteCount,
|  | XMLByte * | buffer,
|  | MemoryManager *const | manager
| ) |  |

pure virtual

virtual void XMLFileMgr::fileReset | ( | FileHandle | f,
|  | MemoryManager *const | manager
| ) |  |

pure virtual

virtual XMLFilePos XMLFileMgr::fileSize | ( | FileHandle | f,
|  | MemoryManager *const | manager
| ) |  |

pure virtual

virtual void XMLFileMgr::fileWrite | ( | FileHandle | f,
|  | XMLSize_t | byteCount,
|  | const XMLByte * | buffer,
|  | MemoryManager *const | manager
| ) |  |

pure virtual

virtual XMLCh* XMLFileMgr::getCurrentDirectory | ( | MemoryManager *const | manager | ) |

pure virtual

virtual XMLCh* XMLFileMgr::getFullPath | ( | const XMLCh *const | srcPath,
|  | MemoryManager *const | manager
| ) |  |

pure virtual

virtual bool XMLFileMgr::isRelative | ( | const XMLCh *const | toCheck,
|  | MemoryManager *const | manager
| ) |  |

pure virtual

virtual FileHandle XMLFileMgr::openStdIn | ( | MemoryManager *const | manager | ) |

pure virtual

The documentation for this class was generated from the following file:

- XMLFileMgr.hpp